git-am: take advantage of gettextln and eval_gettextln.

Signed-off-by: Jon Seymour <jon.seymour@gmail.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
This commit is contained in:
Jon Seymour 2011-08-07 21:58:14 +10:00 committed by Junio C Hamano
parent 3da5c54340
commit de88c1ceda

View File

@ -89,11 +89,8 @@ safe_to_abort () {
then then
return 0 return 0
fi fi
( gettextln "You seem to have moved HEAD since the last 'am' failure.
gettext "You seem to have moved HEAD since the last 'am' failure. Not rewinding to ORIG_HEAD" >&2
Not rewinding to ORIG_HEAD" &&
echo
) >&2
return 1 return 1
} }
@ -102,9 +99,9 @@ stop_here_user_resolve () {
printf '%s\n' "$resolvemsg" printf '%s\n' "$resolvemsg"
stop_here $1 stop_here $1
fi fi
eval_gettext "When you have resolved this problem run \"\$cmdline --resolved\". eval_gettextln "When you have resolved this problem run \"\$cmdline --resolved\".
If you would prefer to skip this patch, instead run \"\$cmdline --skip\". If you would prefer to skip this patch, instead run \"\$cmdline --skip\".
To restore the original branch and stop patching run \"\$cmdline --abort\"."; echo To restore the original branch and stop patching run \"\$cmdline --abort\"."
stop_here $1 stop_here $1
} }
@ -118,7 +115,7 @@ go_next () {
cannot_fallback () { cannot_fallback () {
echo "$1" echo "$1"
gettext "Cannot fall back to three-way merge."; echo gettextln "Cannot fall back to three-way merge."
exit 1 exit 1
} }
@ -611,9 +608,9 @@ do
go_next && continue go_next && continue
test -s "$dotest/patch" || { test -s "$dotest/patch" || {
eval_gettext "Patch is empty. Was it split wrong? eval_gettextln "Patch is empty. Was it split wrong?
If you would prefer to skip this patch, instead run \"\$cmdline --skip\". If you would prefer to skip this patch, instead run \"\$cmdline --skip\".
To restore the original branch and stop patching run \"\$cmdline --abort\"."; echo To restore the original branch and stop patching run \"\$cmdline --abort\"."
stop_here $this stop_here $this
} }
rm -f "$dotest/original-commit" "$dotest/author-script" rm -f "$dotest/original-commit" "$dotest/author-script"
@ -648,7 +645,7 @@ To restore the original branch and stop patching run \"\$cmdline --abort\"."; ec
if test -z "$GIT_AUTHOR_EMAIL" if test -z "$GIT_AUTHOR_EMAIL"
then then
gettext "Patch does not have a valid e-mail address."; echo gettextln "Patch does not have a valid e-mail address."
stop_here $this stop_here $this
fi fi
@ -699,7 +696,7 @@ To restore the original branch and stop patching run \"\$cmdline --abort\"."; ec
action=again action=again
while test "$action" = again while test "$action" = again
do do
gettext "Commit Body is:"; echo gettextln "Commit Body is:"
echo "--------------------------" echo "--------------------------"
cat "$dotest/final-commit" cat "$dotest/final-commit"
echo "--------------------------" echo "--------------------------"
@ -763,16 +760,16 @@ To restore the original branch and stop patching run \"\$cmdline --abort\"."; ec
# working tree. # working tree.
resolved= resolved=
git diff-index --quiet --cached HEAD -- && { git diff-index --quiet --cached HEAD -- && {
gettext "No changes - did you forget to use 'git add'? gettextln "No changes - did you forget to use 'git add'?
If there is nothing left to stage, chances are that something else If there is nothing left to stage, chances are that something else
already introduced the same changes; you might want to skip this patch."; echo already introduced the same changes; you might want to skip this patch."
stop_here_user_resolve $this stop_here_user_resolve $this
} }
unmerged=$(git ls-files -u) unmerged=$(git ls-files -u)
if test -n "$unmerged" if test -n "$unmerged"
then then
gettext "You still have unmerged paths in your index gettextln "You still have unmerged paths in your index
did you forget to use 'git add'?"; echo did you forget to use 'git add'?"
stop_here_user_resolve $this stop_here_user_resolve $this
fi fi
apply_status=0 apply_status=0
@ -797,7 +794,7 @@ did you forget to use 'git add'?"; echo
fi fi
if test $apply_status != 0 if test $apply_status != 0
then then
eval_gettext 'Patch failed at $msgnum $FIRSTLINE'; echo eval_gettextln 'Patch failed at $msgnum $FIRSTLINE'
stop_here_user_resolve $this stop_here_user_resolve $this
fi fi